Skip to Content
Product Information

SAP Fiori Front-end Server 6.0 – Extended maintenance and upgrade recommendations

SAP Fiori front-end server (FES) 6.0 SP01 is available since 12th of February 2020, which is also the release date of SAP S/4HANA 1909 FPS01. As a long-term maintenance version, SAP FES 6.0 includes SAP_UI 7.54 with SAPUI5 1.71 and UIBAS001 500.

SAP FES 6.0 offers the technical foundation for SAP Fiori apps for SAP Business Suite and SAP S/4HANA. It includes the basic features of the new SAP Fiori 3 design for all SAP products to fully support the Intelligent Suite. Also older releases of SAP S/4HANA or SAP Business Suite can get  the new SAP Fiori 3 design and features by upgrading their SAP Fiori front-end server to release 6.0. See also Upgrade to SAP Fiori 3 (SAP Help Portal).

With the extension of the maintenance period of SAP Fiori FES 6.0 to the end of year 2027, SAP offers a long-term stable SAP Fiori technology stack. This means SAP Fiori FES 6.0 is the recommended version in combination with SAP Business Suite or SAP S/4HANA up to version 1909 until the end of maintenance. This means, with SAP FES 6.0 there is no need to upgrade the FES version after two years as before.

Deployment Options

SAP Fiori front-end server 6.0 can be used in an embedded or a hub/standalone server deployment. The following graph shows schematically the main components of an SAP S/4HANA 1909 with FES 6.0 installation for both deployment options.

For the SAP FES standalone/hub deployment the minimum SAP NetWeaver version is SAP 7.51 SP06, the maximum version is SAP NW 7.52. See also note 2790996Infrastructure Components for products on SAP FES 6.0.

For dependencies between SAP Fiori for SAP S/4HANA 1909 (Fiori UIs) and the SAP S/4HANA 1909 backend (S4CORE 104), please refer to note 2805572SAP Fiori for SAP S/4HANA 1909: Release Information.

For more details on the different deployment options and recommendations in general, please refer to document SAP Fiori Deployment Options and Recommendations.

Upgrade Recommendations 

SAP FES 6.0 is the long-term maintenance version and the recommended go-to-version for SAP Fiori front-end server upgrades for SAP Business Suite and SAP S/4HANA customers.

This following graph shows the upgrade options of SAP FES for the different SAP S/4HANA releases in an embedded deployment.

Each SAP S/4HANA release comes with an initial SAP FES version as a minimum version. For example, for SAP S/4HANA 1709 the minimum version is SAP FES 4.0. It can be upgraded to SAP FES 5.0  or SAP FES 6.0 independent from SAP S/4HANA software components as shown in the graph. The recommendation is to upgrade directly to SAP FES 6.0.

SAP FES 3.0 is out of maintenance since 31th of December 2019. An upgrade to SAP FES 6.0 is recommended.

Note: It’s recommended to apply the most recent patch of SAPUI5 after upgrading the SAP_UI component; for example, apply the latest available SAPUI5 1.71.xx patch after upgrading to SAP_UI 7.54 SP02 which is included in FES 6.0 SP01. For more information on the latest available SAPUI5 patches and how to apply, see SAP Notes 2346367 and 2856654 (for SAPUI5 1.71).

Restrictions: Please note, that for specific apps of software component “UI for Basis Applications” (UIBAS001) there are dependencies to the SAP S/4HANA backend or SAP NetWeaver version. See also SAP Note 2898376.

See also:

Further information

6 Comments
You must be Logged on to comment or reply to a post.
  • Hi Carola,

    Would it be a correct assumption that SAP Fiori 3 design and features are also available for apps deployed on the Fiori Launchpad in the SAP Cloud Platform Cloud Foundry Portal Service?

    • Hi,

      yes, SAP Fiori 3 is meant to offer a harmonized user experience cross-products and platforms.

      The availability of the Quartz theme e.g. depends just on the SAPUI5 version (minimum 1.65).

      Kind regards

      Carola

  • Hi Carola,

    Thanks a lot for the article,

    Currently we are using SAP S/4hana 1610 FPS00 with FES 3.0 “embedded installation,  FES + S4CORE on the same box” and when reviewing the PAM we can see that the product S/4hana 1610 is still under maintenance phase until  31.12.2021.

    But we don’t understand if this means that our FES 3.0 is still supported since it’s on the same box or we need to upgrade it ?

    Thanks for your help.

    Best Regards
    Billel

    • Hi Billel,

      yes, as SAP FES 3.0 is out of maintenance since end of last year, you should upgrade the FES part.

      This recommendation is valid for  FES embedded and Hub deployment.

      Kind regards

      Carola

       

  • Hi Carola,

    Thanks for the great article.

    Is there any information about the sucessor of the FES 6.0 available? Does this sucessor support EHP8 and S4/HANA backends? And is there definitly no migration path from FES6.0 to the sucessor?

    Thanks and Regards

    Christian